# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_dfsnamespacefolder`](#dsc_dfsnamespacefolder): The DSC DFSNamespaceFolder resource type. Automatically generated from version 4.0.0.0
* [`dsc_dfsnamespaceroot`](#dsc_dfsnamespaceroot): The DSC DFSNamespaceRoot resource type. Automatically generated from version 4.0.0.0
* [`dsc_dfsnamespaceserverconfiguration`](#dsc_dfsnamespaceserverconfiguration): The DSC DFSNamespaceServerConfiguration resource type. Automatically generated from version 4.0.0.0
* [`dsc_dfsreplicationgroup`](#dsc_dfsreplicationgroup): The DSC DFSReplicationGroup resource type. Automatically generated from version 4.0.0.0
* [`dsc_dfsreplicationgroupconnection`](#dsc_dfsreplicationgroupconnection): The DSC DFSReplicationGroupConnection resource type. Automatically generated from version 4.0.0.0
* [`dsc_dfsreplicationgroupfolder`](#dsc_dfsreplicationgroupfolder): The DSC DFSReplicationGroupFolder resource type. Automatically generated from version 4.0.0.0
* [`dsc_dfsreplicationgroupmembership`](#dsc_dfsreplicationgroupmembership): The DSC DFSReplicationGroupMembership resource type. Automatically generated from version 4.0.0.0

## Resource types

### <a name="dsc_dfsnamespacefolder"></a>`dsc_dfsnamespacefolder`

The DSC DFSNamespaceFolder resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsnamespacefolder` type.

##### `dsc_description`

Data type: `Optional[String]`

The description of the DFS Namespace.

##### `dsc_enableinsitereferrals`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace server provides a client only with referrals that are in the same site as the client.

##### `dsc_enabletargetfailback`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace uses target failback.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

Specifies if the DFS Namespace root should exist.

##### `dsc_referralpriorityclass`

Data type: `Optional[Enum['Global-High', 'SiteCost-High', 'SiteCost-Normal', 'SiteCost-Low', 'Global-Low']]`

Specifies the target priority class for a DFS namespace root.

##### `dsc_referralpriorityrank`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the priority rank, as an integer, for a root target of the DFS namespace.

##### `dsc_state`

Data type: `Optional[String]`

 

##### `dsc_timetolivesec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies a TTL interval, in seconds, for referrals.

#### Parameters

The following parameters are available in the `dsc_dfsnamespacefolder` type.

* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_targetpath`](#dsc_targetpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

Specifies a path for the root of a DFS namespace.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_targetpath"></a>`dsc_targetpath`

namevar

Data type: `String`

Specifies a path for a root target of the DFS namespace.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_dfsnamespaceroot"></a>`dsc_dfsnamespaceroot`

The DSC DFSNamespaceRoot resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsnamespaceroot` type.

##### `dsc_description`

Data type: `Optional[String]`

The description of the DFS Namespace.

##### `dsc_enableaccessbasedenumeration`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace uses access-based enumeration.

##### `dsc_enableinsitereferrals`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace server provides a client only with referrals that are in the same site as the client.

##### `dsc_enablerootscalability`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace uses root scalability mode.

##### `dsc_enablesitecosting`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace uses cost-based selection.

##### `dsc_enabletargetfailback`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace uses target failback.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

Specifies if the DFS Namespace root should exist.

##### `dsc_referralpriorityclass`

Data type: `Optional[Enum['Global-High', 'SiteCost-High', 'SiteCost-Normal', 'SiteCost-Low', 'Global-Low']]`

Specifies the target priority class for a DFS namespace root.

##### `dsc_referralpriorityrank`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the priority rank, as an integer, for a root target of the DFS namespace.

##### `dsc_state`

Data type: `Optional[String]`

 

##### `dsc_timetolivesec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies a TTL interval, in seconds, for referrals.

##### `dsc_type`

Data type: `Enum['Standalone', 'DomainV1', 'DomainV2']`

Specifies the type of a DFS namespace as a Type object.

#### Parameters

The following parameters are available in the `dsc_dfsnamespaceroot` type.

* [`dsc_path`](#dsc_path)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_targetpath`](#dsc_targetpath)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_path"></a>`dsc_path`

namevar

Data type: `String`

Specifies a path for the root of a DFS namespace.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_targetpath"></a>`dsc_targetpath`

namevar

Data type: `String`

Specifies a path for a root target of the DFS namespace.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_dfsnamespaceserverconfiguration"></a>`dsc_dfsnamespaceserverconfiguration`

The DSC DFSNamespaceServerConfiguration resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsnamespaceserverconfiguration` type.

##### `dsc_ldaptimeoutsec`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies a time-out value, in seconds, for Lightweight Directory Access Protocol (LDAP) requests for the DFS namespace server.

##### `dsc_syncintervalsec`

Data type: `Optional[Integer[0, 4294967295]]`

This interval controls how often domain-based DFS namespace root servers and domain controllers connect to the PDC emulator to get updates of DFS namespace metadata.

##### `dsc_usefqdn`

Data type: `Optional[Boolean]`

Indicates whether a DFS namespace server uses FQDNs in referrals.

#### Parameters

The following parameters are available in the `dsc_dfsnamespaceserverconfiguration` type.

* [`dsc_issingleinstance`](#dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes']`

Specifies the resource is a single instance, the value must be 'Yes'.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_dfsreplicationgroup"></a>`dsc_dfsreplicationgroup`

The DSC DFSReplicationGroup resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsreplicationgroup` type.

##### `dsc_contentpaths`

Data type: `Optional[Array[String]]`

An array of DFS Replication Group Content Paths to use for each of the Folders. This can have one entry for each Folder in the Folders parameter and should be set in th same order. If any entry is not blank then the Content Paths will need to be set manually by using the DFSReplicationGroupMembership resource.

##### `dsc_description`

Data type: `Optional[String]`

A description for the DFS Replication Group.

##### `dsc_domainname`

Data type: `Optional[String]`

The AD domain the Replication Group should created in.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

Specifies whether the DSF Replication Group should exist.

##### `dsc_folders`

Data type: `Optional[Array[String]]`

A list of folders that are replicated in this Replication Group.

##### `dsc_members`

Data type: `Optional[Array[String]]`

A list of computers that are members of this Replication Group. These can be specified using either the ComputerName or FQDN name for each member. If an FQDN name is used and the DomainName parameter is set, the FQDN domain name must match.

##### `dsc_topology`

Data type: `Optional[Enum['Fullmesh', 'Manual']]`

This allows a replication topology to assign to the Replication Group. It defaults to Manual, which will not automatically create a topology. If set to Fullmesh, a full mesh topology between all members will be created.

#### Parameters

The following parameters are available in the `dsc_dfsreplicationgroup` type.

* [`dsc_groupname`](#dsc_groupname)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_groupname"></a>`dsc_groupname`

namevar

Data type: `String`

The name of the DFS Replication Group.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_dfsreplicationgroupconnection"></a>`dsc_dfsreplicationgroupconnection`

The DSC DFSReplicationGroupConnection resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsreplicationgroupconnection` type.

##### `dsc_description`

Data type: `Optional[String]`

A description for the DFS Replication Group connection.

##### `dsc_domainname`

Data type: `Optional[String]`

The name of the AD Domain the DFS Replication Group connection should be in.

##### `dsc_ensure`

Data type: `Enum['Present', 'Absent']`

Specifies whether the DSF Replication Group connection should exist.

##### `dsc_ensureenabled`

Data type: `Optional[Enum['Enabled', 'Disabled']]`

Ensures that connection is either Enabled or Disabled.

##### `dsc_ensurerdcenabled`

Data type: `Optional[Enum['Enabled', 'Disabled']]`

Ensures remote differential compression is Enabled or Disabled.

#### Parameters

The following parameters are available in the `dsc_dfsreplicationgroupconnection` type.

* [`dsc_destinationcomputername`](#dsc_destinationcomputername)
* [`dsc_groupname`](#dsc_groupname)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_sourcecomputername`](#dsc_sourcecomputername)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_destinationcomputername"></a>`dsc_destinationcomputername`

namevar

Data type: `String`

The name of the Replication Group destination computer for the connection. This can be specified using either the
ComputerName or FQDN name for the member. If an FQDN name is used and the DomainName parameter is set, the FQDN domain
name must match.

##### <a name="dsc_groupname"></a>`dsc_groupname`

namevar

Data type: `String`

The name of the DFS Replication Group.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_sourcecomputername"></a>`dsc_sourcecomputername`

namevar

Data type: `String`

The name of the Replication Group source computer for the connection. This can be specified using either the
ComputerName or FQDN name for the member. If an FQDN name is used and the DomainName parameter is set, the FQDN domain
name must match.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_dfsreplicationgroupfolder"></a>`dsc_dfsreplicationgroupfolder`

The DSC DFSReplicationGroupFolder resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsreplicationgroupfolder` type.

##### `dsc_description`

Data type: `Optional[String]`

A description for the DFS Replication Group Folder.

##### `dsc_dfsnpath`

Data type: `Optional[String]`

The DFS Namespace Path to this Replication Group folder is mapped to. This does NOT create the Namespace folders, it only sets the name in the folder object.

##### `dsc_directorynametoexclude`

Data type: `Optional[Array[String]]`

An array of directory names to exclude from replication.

##### `dsc_domainname`

Data type: `Optional[String]`

The name of the AD Domain the DFS Replication Group Folder will be in.

##### `dsc_filenametoexclude`

Data type: `Optional[Array[String]]`

An array of file names to exclude from replication.

#### Parameters

The following parameters are available in the `dsc_dfsreplicationgroupfolder` type.

* [`dsc_foldername`](#dsc_foldername)
* [`dsc_groupname`](#dsc_groupname)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_foldername"></a>`dsc_foldername`

namevar

Data type: `String`

The name of the DFS Replication Group Folder.

##### <a name="dsc_groupname"></a>`dsc_groupname`

namevar

Data type: `String`

The name of the DFS Replication Group.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_dfsreplicationgroupmembership"></a>`dsc_dfsreplicationgroupmembership`

The DSC DFSReplicationGroupMembership resource type.
Automatically generated from version 4.0.0.0

#### Properties

The following properties are available in the `dsc_dfsreplicationgroupmembership` type.

##### `dsc_conflictanddeletedpath`

Data type: `Optional[String]`

The local content and deleted path for the DFS Replication Group Folder.

##### `dsc_contentpath`

Data type: `Optional[String]`

The local content path for the DFS Replication Group Folder.

##### `dsc_domainname`

Data type: `Optional[String]`

The name of the AD Domain the DFS Replication Group this replication group is in.

##### `dsc_primarymember`

Data type: `Optional[Boolean]`

Used to configure this as the Primary Member. Every folder must have at least one primary member for initial replication to take place.

##### `dsc_readonly`

Data type: `Optional[Boolean]`

Specify if this content path should be read only.

##### `dsc_stagingpath`

Data type: `Optional[String]`

The local staging path for the DFS Replication Group Folder.

#### Parameters

The following parameters are available in the `dsc_dfsreplicationgroupmembership` type.

* [`dsc_computername`](#dsc_computername)
* [`dsc_foldername`](#dsc_foldername)
* [`dsc_groupname`](#dsc_groupname)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_computername"></a>`dsc_computername`

namevar

Data type: `String`

The computer name of the Replication Group member. This can be specified using either the ComputerName or FQDN name for
the member. If an FQDN name is used and the DomainName parameter is set, the FQDN domain name must match.

##### <a name="dsc_foldername"></a>`dsc_foldername`

namevar

Data type: `String`

The name of the DFS Replication Group Folder.

##### <a name="dsc_groupname"></a>`dsc_groupname`

namevar

Data type: `String`

The name of the DFS Replication Group.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

